Loading...
Searching...
No Matches
libdar::crit_same_type Class Reference
API

returns true if the two entries are of the same type (plain-file/char dev/block dev/named pipe/symlink/directory/unix socket) More...

`#include <criterium.hpp>`

Inherits libdar::criterium.

## Public Member Functions

| crit_same_type (const crit_same_type &ref)=default
| crit_same_type (crit_same_type &&ref) noexcept=default
crit_same_type & | operator= (const crit_same_type &ref)=default
crit_same_type & | operator= (crit_same_type &&ref) noexcept=default
virtual bool | evaluate (const cat_nomme &first, const cat_nomme &second) const override
| criterum interface method
virtual criterium * | clone () const override
| clone construction method
Public Member Functions inherited from libdar::criterium
| criterium (const criterium &ref)=default
| criterium (criterium &&ref) noexcept=default
criterium & | operator= (const criterium &ref)=default
criterium & | operator= (criterium &&ref) noexcept=default

## Detailed Description

returns true if the two entries are of the same type (plain-file/char dev/block dev/named pipe/symlink/directory/unix socket)

two plain files are considered of same type even if one is hard linked while the other is not same thing whether one entry has EA while the other has not, they are still considered of the same type.

Definition at line 480 of file criterium.hpp.

## Constructor & Destructor Documentation

## crit_same_type()

libdar::crit_same_type::crit_same_type | ( |  | ) |

inline

Definition at line 483 of file criterium.hpp.

## Member Function Documentation

## clone()

virtual criterium * libdar::crit_same_type::clone | ( |  | ) | const

inline override virtual

clone construction method

Returns
  a new object of the same type,

Note
  this method must be implemented in all the leaf classes of the class hierarchy rooted at the criterium class

Implements libdar::criterium.

Definition at line 491 of file criterium.hpp.

## evaluate()

virtual bool libdar::crit_same_type::evaluate | ( | const cat_nomme & | first,
|  | const cat_nomme & | second ) const

override virtual

criterum interface method

Parameters

  [in] | first | entry to compare with the following (this is the original or 'in place' entry)
  [in] | second | the other entry to compare with the previous one (this is the new entry to add)

Returns
  the result of the criterium evaluation (true or false)

Implements libdar::criterium.

The documentation for this class was generated from the following file:

- criterium.hpp